org.apache.sling.provisioning.model

## Class Version

- java.lang.Object
- - org.apache.sling.provisioning.model.Version

All Implemented Interfaces:
  Comparable<Version>

    public class Version
    extends Object
    implements Comparable<Version>

Version object supporting Maven and OSGi versions.

Since:
  1.4

### Constructor Summary

Constructors
Constructor and Description
`Version(String version)` Creates a version identifier from the specified string.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(Version other)` Compares this `Version` object to another `Version`.
`boolean` `equals(Object obj)`
`int` `getMajorVersion()` Get the major version
`int` `getMicroVersion()` Get the minor version
`int` `getMinorVersion()` Get the major version
`String` `getQualifier()` Get the qualifier
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Version

    public Version(String version)

Creates a version identifier from the specified string.

Throws:
  `IllegalArgumentException` - if the version string can't be parsed

### Method Detail

#### getMajorVersion

    public int getMajorVersion()

Get the major version

Returns:
  The major version
Since:
  1.8.0

#### getMinorVersion

    public int getMinorVersion()

Get the major version

Returns:
  The major version
Since:
  1.8.0

#### getMicroVersion

    public int getMicroVersion()

Get the minor version

Returns:
  The minor version
Since:
  1.8.0

#### getQualifier

    public String getQualifier()

Get the qualifier

Returns:
  The qualifier, the qualifier might be the empty string.
Since:
  1.8.0

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### compareTo

    public int compareTo(Version other)

Compares this `Version` object to another `Version`.

Specified by:
  `compareTo` in interface `Comparable<Version>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`